
QGIS Application - Bug report #20052

crash after drawing new polygon in vector layer

2018-10-08 04:48 PM - Luca Lancellotti

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:3.2.3 Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27874

Description

just after right-clicking to draw a new polygon in a vector layer from sqlite database joined with a sqlite table from the same database.

copy report:

User Feedback

Report Details

Crash ID: 4a998b1fa988bf95f9c92fd18fa77fd72bce5880

Stack Trace

QLineEdit::setPlaceholderText :

QgsAttributeForm::changeAttribute :

QgsAttributeForm::updateJoinedFields :

QgsAttributeForm::onAttributeChanged :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsTextEditWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsTextEditWrapper::setWidgetValue :

QgsEditorWidgetWrapper::setFeature :

QgsAttributeForm::resetValues :

QgsAttributeForm::setFeature :

QgsAttributeForm::QgsAttributeForm :

QgsAttributeDialog::init :

QgsAttributeDialog::QgsAttributeDialog :

QgsFeatureAction::newDialog :

QgsFeatureAction::addFeature :

QgsMapToolAddFeature::addFeature :

QgsMapToolAddFeature::digitized :

QgsMapToolDigitizeFeature::cadCanvasReleaseEvent :

QgsMapToolAdvancedDigitizing::canvasReleaseEvent :

QgsMapCanvas::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :
QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-10-09 10:59 AM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

1) try with a new profile

2) try qgis master (with a clean/new profile)

and see of it makes any difference. Thanks.

#2 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#3 - 2019-02-11 04:17 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
